/*
 * $Id: SignOutPage.java 4436 2006-02-14 10:57:21 +0100 (Tue, 14 Feb 2006) jonathanlocke $ $Revision: 4436 $
 * $Date: 2006-02-14 10:57:21 +0100 (Tue, 14 Feb 2006) $
 * 
 * ==================================================================== Licensed
 * under the Apache License, Version 2.0 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain a copy of the
 * License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package wicket.authentication.pages;

import wicket.PageParameters;
import wicket.markup.html.WebPage;

/**
 * Simple sign out page.
 * 
 * @author Jonathan Locke
 */
public class SignOutPage extends WebPage
{
	private static final long serialVersionUID = 1L;

	/**
	 * Construct.
	 */
	public SignOutPage()
	{
		this(null);
	}
	
	/**
	 * Constructor
	 * 
	 * @param parameters
	 *            Page parameters (ignored since this is the home page)
	 */
	public SignOutPage(final PageParameters parameters)
	{
		getSession().invalidate();
	}
}
